import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'

const routes: RouteRecordRaw[] = [
  {
    name: 'Login',
    path: '/',
    component: () => import('@/modules/login/index.vue'),
  },
  {
    name: 'Marking',
    path: '/marking',
    component: () => import('@/modules/marking/index.vue'),
  },
  {
    name: 'Error',
    path: '/:path(.*)*',
    component: () => import('@/modules/error/404.vue'),
  },
]

if (import.meta.env.DEV) {
  routes.unshift({
    path: '/example',
    name: 'Example',
    children: [
      {
        name: 'Image',
        path: 'images',
        component: () => import('@/modules/example/Image.vue'),
      },
      {
        name: 'Icon',
        path: 'icons',
        component: () => import('@/modules/example/Icon.vue'),
      },
      {
        name: 'Component',
        path: 'components',
        component: () => import('@/modules/example/Components.vue'),
      },
      {
        name: 'ImageModify',
        path: 'image-modify',
        component: () => import('@/modules/example/ImageModify.vue'),
      },
    ],
  })
}

const router = createRouter({
  history: createWebHistory(),
  routes: routes,
})

export default router
